/*
 * @(#)AllTests.java
 *
 * Copyright (C) 2007 Infocity Inc. All Rights Reserved.
 */
package test.info.dragonlady.sso.authority;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * TODO ƒNƒ‰ƒXŠT—v
 * 
 * @author Hiroshi.Ebata(INFOCITY)
 * @version $Revision: 1.0 $ $Date: 2007/06/08 10:32:07 $
 */
public class AllTests {

	public static Test suite() {
		TestSuite suite = new TestSuite(
				"Test for test.info.dragonlady.sso.authority");
		//$JUnit-BEGIN$
		suite.addTestSuite(EnforcementExceptionTest.class);
		suite.addTestSuite(AuthenticationAuthorityTest.class);
		suite.addTestSuite(PolicyDecisionPointTest.class);
		suite.addTestSuite(AuthorityExceptionTest.class);
		suite.addTestSuite(AttributeAuthorityTest.class);
		suite.addTestSuite(SAMLAuthorityProviderTest.class);
		//$JUnit-END$
		return suite;
	}

}
